Subject: Re: CONFIG_KMOD breakage in next kernel

From: Rusty Russell <[email-masked]>
Date: Mon, 25 Aug 2008 10:13:58 +1000

On Thursday 21 August 2008 04:16:05 Johannes Berg wrote:
> Hi,
>
> > I found that CONFIG_KMOD was already removed in linux-next tree.
> > This seems to result in many breakages.  For example, I cannot mount a
> > FAT device automatically because of failure of automatic loading of
> > nls modules.
>
> This is odd. I had posted a long series of patches removing all of the
> users I had found (similar grep like the one you used), see
> http://lkml.org/lkml/2008/7/9/150 for the whole thread.
>
>
> For some reason, only seven of those eleven patches ended up in the
> kernel, you had taken the alsa one and Rusty posted only six of them.

OK, not quite sure what happened.  I'll grab the rest and push them into 
tomorrow's linux-next.

For today, I'll pull out the CONFIG_KMOD removal.

Thanks,
Rusty.